Bug 274621 - Crash when clicking "Build Selected"
Summary: Crash when clicking "Build Selected"
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: Build tools: CMake (show other bugs)
Version: 4.2.60
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: 4.2.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-31 18:14 UTC by David
Modified: 2012-01-18 02:00 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David 2011-05-31 18:14:58 UTC
Application: kdevelop (4.2.60)
KDE Platform Version: 4.6.2 (4.6.2) (Compiled from sources)
Qt Version: 4.7.2
Operating System: Linux 2.6.38-8-generic i686
Distribution: Ubuntu 11.04

-- Information about the crash:
- What I was doing when the application crashed:

When I click "Build Selected" with my project selected, KDevelop crashes.

The crash can be reproduced every time.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Segmentation fault
[Current thread is 1 (Thread 0xb77efac0 (LWP 3828))]

Thread 12 (Thread 0xb7594b70 (LWP 3829)):
#0  0x00880416 in __kernel_vsyscall ()
#1  0x015f2f76 in poll () from /lib/i386-linux-gnu/libc.so.6
#2  0x0811b84b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x0810b1af in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0x0810b92b in g_main_loop_run () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0x01d0f304 in ?? () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
#6  0x081342df in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0x00c96e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#8  0x0160173e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 11 (Thread 0xb6bffb70 (LWP 3830)):
#0  0x00880416 in __kernel_vsyscall ()
#1  0x00c9b834 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x0160f454 in pthread_cond_timedwait () from /lib/i386-linux-gnu/libc.so.6
#3  0x00962f0e in ?? () from /usr/lib/i386-linux-gnu/libgthread-2.0.so.0
#4  0x080de42c in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0x080def6d in g_async_queue_timed_pop () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0x08136980 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0x081342df in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0x00c96e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#9  0x0160173e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 10 (Thread 0xb2ea2b70 (LWP 3833)):
#0  0x00880416 in __kernel_vsyscall ()
#1  0x00c9b834 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x0160f454 in pthread_cond_timedwait () from /lib/i386-linux-gnu/libc.so.6
#3  0x032543e5 in wait (this=0x9e669ac, mutex=0x9e669b0, time=1000) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0x9e669ac, mutex=0x9e669b0, time=1000) at thread/qwaitcondition_unix.cpp:160
#5  0x09693b8d in KDevelop::DUChainPrivate::CleanupThread::run (this=0x9e669a0) at /home/doriad/src/kdevplatform/language/duchain/duchain.cpp:286
#6  0x03253da2 in QThreadPrivate::start (arg=0x9e669a0) at thread/qthread_unix.cpp:320
#7  0x00c96e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#8  0x0160173e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 9 (Thread 0xb1ea0b70 (LWP 3841)):
#0  0x00880416 in __kernel_vsyscall ()
#1  0x00c9b48c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x0160f3fd in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0x02c6c817 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x2d801c0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#4  0x02c6c851 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x2d801c0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#5  0x00c96e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#6  0x0160173e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 8 (Thread 0xb26a1b70 (LWP 3842)):
#0  0x00869d41 in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
#1  0x032a9dd8 in do_gettime () at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0x033764f2 in updateCurrentTime (this=0xa1f030c, tm=...) at kernel/qeventdispatcher_unix.cpp:339
#4  QTimerInfoList::timerWait (this=0xa1f030c, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x03374d32 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb26a110c) at kernel/qeventdispatcher_glib.cpp:136
#6  0x03374dcd in timerSourcePrepare (source=0xa1f02d8, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0x08109fd4 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0x0810ae63 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0x0810b524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0x03375577 in QEventDispatcherGlib::processEvents (this=0xa105ef0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0x03347289 in QEventLoop::processEvents (this=0xb26a12c0, flags=...) at kernel/qeventloop.cpp:149
#12 0x03347522 in QEventLoop::exec (this=0xb26a12c0, flags=...) at kernel/qeventloop.cpp:201
#13 0x032512a0 in QThread::exec (this=0xa202a00) at thread/qthread.cpp:492
#14 0x097a0dd8 in KDevelop::CompletionWorkerThread::run (this=0xa202a00) at /home/doriad/src/kdevplatform/language/codecompletion/codecompletionmodel.cpp:84
#15 0x03253da2 in QThreadPrivate::start (arg=0xa202a00) at thread/qthread_unix.cpp:320
#16 0x00c96e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#17 0x0160173e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 7 (Thread 0xb03a5b70 (LWP 3843)):
#0  0x00869d41 in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
#1  0x032a9dd8 in do_gettime () at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0x033764f2 in updateCurrentTime (this=0xa105bd4, tm=...) at kernel/qeventdispatcher_unix.cpp:339
#4  QTimerInfoList::timerWait (this=0xa105bd4, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x03374d32 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb03a510c) at kernel/qeventdispatcher_glib.cpp:136
#6  0x03374dcd in timerSourcePrepare (source=0xa105ba0, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0x08109fd4 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0x0810ae63 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0x0810b524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0x03375577 in QEventDispatcherGlib::processEvents (this=0xa1f1908, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0x03347289 in QEventLoop::processEvents (this=0xb03a52c0, flags=...) at kernel/qeventloop.cpp:149
#12 0x03347522 in QEventLoop::exec (this=0xb03a52c0, flags=...) at kernel/qeventloop.cpp:201
#13 0x032512a0 in QThread::exec (this=0xa1f19a0) at thread/qthread.cpp:492
#14 0x097a0dd8 in KDevelop::CompletionWorkerThread::run (this=0xa1f19a0) at /home/doriad/src/kdevplatform/language/codecompletion/codecompletionmodel.cpp:84
#15 0x03253da2 in QThreadPrivate::start (arg=0xa1f19a0) at thread/qthread_unix.cpp:320
#16 0x00c96e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#17 0x0160173e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 6 (Thread 0xaf36bb70 (LWP 3849)):
#0  0x0810a72c in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0x0810b03a in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0x0810b524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x03375577 in QEventDispatcherGlib::processEvents (this=0xa377a98, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#4  0x03347289 in QEventLoop::processEvents (this=0xaf36b290, flags=...) at kernel/qeventloop.cpp:149
#5  0x03347522 in QEventLoop::exec (this=0xaf36b290, flags=...) at kernel/qeventloop.cpp:201
#6  0x032512a0 in QThread::exec (this=0xa367740) at thread/qthread.cpp:492
#7  0x03328fdb in QInotifyFileSystemWatcherEngine::run (this=0xa367740) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x03253da2 in QThreadPrivate::start (arg=0xa367740) at thread/qthread_unix.cpp:320
#9  0x00c96e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#10 0x0160173e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 5 (Thread 0xabd1db70 (LWP 3914)):
#0  0x00880416 in __kernel_vsyscall ()
#1  0x00c9b48c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x0160f3fd in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0x04229b57 in scavengerThread (context=0x47da700) at wtf/FastMalloc.cpp:2378
#4  WTF::TCMalloc_PageHeap::runScavengerThread (context=0x47da700) at wtf/FastMalloc.cpp:1497
#5  0x00c96e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#6  0x0160173e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 4 (Thread 0xaaf35b70 (LWP 3917)):
#0  0x00880416 in __kernel_vsyscall ()
#1  0x00c9b834 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x0160f454 in pthread_cond_timedwait () from /lib/i386-linux-gnu/libc.so.6
#3  0x032543e5 in wait (this=0xa60bfcc, mutex=0xa60bfc8, time=30000) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa60bfcc, mutex=0xa60bfc8, time=30000) at thread/qwaitcondition_unix.cpp:160
#5  0x032478f1 in QThreadPoolThread::run (this=0xa60e288) at concurrent/qthreadpool.cpp:140
#6  0x03253da2 in QThreadPrivate::start (arg=0xa60e288) at thread/qthread_unix.cpp:320
#7  0x00c96e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#8  0x0160173e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 3 (Thread 0xa9f37b70 (LWP 4029)):
#0  0x00880416 in __kernel_vsyscall ()
#1  0x00c9b834 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x0160f454 in pthread_cond_timedwait () from /lib/i386-linux-gnu/libc.so.6
#3  0x032543e5 in wait (this=0xbfe3e4, mutex=0xbfe3dc, time=30) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xbfe3e4, mutex=0xbfe3dc, time=30) at thread/qwaitcondition_unix.cpp:160
#5  0x00bed464 in KDevelop::ForegroundLock::relock (this=0xa9f2b25f) at /home/doriad/src/kdevplatform/interfaces/foregroundlock.cpp:186
#6  0x00bed566 in KDevelop::ForegroundLock::ForegroundLock (this=0xa9f2b25f, lock=true) at /home/doriad/src/kdevplatform/interfaces/foregroundlock.cpp:142
#7  0x09664aae in KDevelop::ParseJob::readContents (this=0xaf045b0) at /home/doriad/src/kdevplatform/language/backgroundparser/parsejob.cpp:219
#8  0x04d4976b in PreprocessJob::readContents (this=0xaf4c5b0) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:670
#9  0x04d4c998 in PreprocessJob::run (this=0xaf4c5b0) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:236
#10 0x04d41932 in CPPParseJob::parseForeground (this=0xaf045b0) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#11 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xb6c908c8, _fileName=..., type=rpp::Preprocessor::IncludeGlobal, sourceLine=470, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#12 0x06bf88ec in rpp::pp::handle_include (this=0xa9f2cba0, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#13 0x06bfb333 in rpp::pp::handle_directive (this=0xa9f2cba0, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#14 0x06bfbadb in rpp::pp::operator() (this=0xa9f2cba0, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#15 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa9f2cba0, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#16 0x06bfbe25 in rpp::pp::processFile (this=0xa9f2cba0, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#17 0x04d4cbbd in PreprocessJob::run (this=0xb6c908c8) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#18 0x04d41932 in CPPParseJob::parseForeground (this=0xb0d0f030) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#19 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xb023918, _fileName=..., type=rpp::Preprocessor::IncludeGlobal, sourceLine=44, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#20 0x06bf88ec in rpp::pp::handle_include (this=0xa9f2e450, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#21 0x06bfb333 in rpp::pp::handle_directive (this=0xa9f2e450, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#22 0x06bfbadb in rpp::pp::operator() (this=0xa9f2e450, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#23 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa9f2e450, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#24 0x06bfbe25 in rpp::pp::processFile (this=0xa9f2e450, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#25 0x04d4cbbd in PreprocessJob::run (this=0xb023918) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#26 0x04d41932 in CPPParseJob::parseForeground (this=0xae89918) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#27 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xae86768, _fileName=..., type=rpp::Preprocessor::IncludeGlobal, sourceLine=39, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#28 0x06bf88ec in rpp::pp::handle_include (this=0xa9f2fd00, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#29 0x06bfb333 in rpp::pp::handle_directive (this=0xa9f2fd00, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#30 0x06bfbadb in rpp::pp::operator() (this=0xa9f2fd00, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#31 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa9f2fd00, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#32 0x06bfbe25 in rpp::pp::processFile (this=0xa9f2fd00, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#33 0x04d4cbbd in PreprocessJob::run (this=0xae86768) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#34 0x04d41932 in CPPParseJob::parseForeground (this=0xaecff70) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#35 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xb020030, _fileName=..., type=rpp::Preprocessor::IncludeGlobal, sourceLine=39, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#36 0x06bf88ec in rpp::pp::handle_include (this=0xa9f315b0, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#37 0x06bfb333 in rpp::pp::handle_directive (this=0xa9f315b0, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#38 0x06bfbadb in rpp::pp::operator() (this=0xa9f315b0, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#39 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa9f315b0, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#40 0x06bfbe25 in rpp::pp::processFile (this=0xa9f315b0, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#41 0x04d4cbbd in PreprocessJob::run (this=0xb020030) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#42 0x04d41932 in CPPParseJob::parseForeground (this=0xae0deb0) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#43 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xae068d8, _fileName=..., type=rpp::Preprocessor::IncludeGlobal, sourceLine=11, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#44 0x06bf88ec in rpp::pp::handle_include (this=0xa9f32e60, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#45 0x06bfb333 in rpp::pp::handle_directive (this=0xa9f32e60, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#46 0x06bfbadb in rpp::pp::operator() (this=0xa9f32e60, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#47 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa9f32e60, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#48 0x06bfbe25 in rpp::pp::processFile (this=0xa9f32e60, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#49 0x04d4cbbd in PreprocessJob::run (this=0xae068d8) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#50 0x04d41932 in CPPParseJob::parseForeground (this=0xae053c8) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#51 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xae9d748, _fileName=..., type=rpp::Preprocessor::IncludeLocal, sourceLine=15, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#52 0x06bf88ec in rpp::pp::handle_include (this=0xa9f34710, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#53 0x06bfb333 in rpp::pp::handle_directive (this=0xa9f34710, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#54 0x06bfbadb in rpp::pp::operator() (this=0xa9f34710, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#55 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa9f34710, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#56 0x06bfbe25 in rpp::pp::processFile (this=0xa9f34710, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#57 0x04d4cbbd in PreprocessJob::run (this=0xae9d748) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#58 0x04d41932 in CPPParseJob::parseForeground (this=0xaebdc48) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#59 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xa7e5b30, _fileName=..., type=rpp::Preprocessor::IncludeLocal, sourceLine=15, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#60 0x06bf88ec in rpp::pp::handle_include (this=0xa9f35fc0, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#61 0x06bfb333 in rpp::pp::handle_directive (this=0xa9f35fc0, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#62 0x06bfbadb in rpp::pp::operator() (this=0xa9f35fc0, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#63 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa9f35fc0, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#64 0x06bfbe25 in rpp::pp::processFile (this=0xa9f35fc0, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#65 0x04d4cbbd in PreprocessJob::run (this=0xa7e5b30) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#66 0x00d287f4 in ?? () from /usr/lib/libthreadweaver.so.4
#67 0x00d28941 in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#68 0x00d2a1c3 in ?? () from /usr/lib/libthreadweaver.so.4
#69 0x00d2a36e in ThreadWeaver::JobCollection::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#70 0x00d27f6a in ?? () from /usr/lib/libthreadweaver.so.4
#71 0x00d2805b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#72 0x03253da2 in QThreadPrivate::start (arg=0xa880690) at thread/qthread_unix.cpp:320
#73 0x00c96e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#74 0x0160173e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 2 (Thread 0xa9736b70 (LWP 4030)):
#0  0x00880416 in __kernel_vsyscall ()
#1  0x00c9b48c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x0160f3fd in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0x03252daa in QMutexPrivate::wait (this=0x9a7b470, timeout=-1) at thread/qmutex_unix.cpp:84
#4  0x0324f4b2 in QMutex::lock (this=0xbfe3d8) at thread/qmutex.cpp:204
#5  0x00bed342 in QMutexLocker (this=0xa971dcdf) at /usr/include/qt4/QtCore/qmutex.h:102
#6  KDevelop::ForegroundLock::relock (this=0xa971dcdf) at /home/doriad/src/kdevplatform/interfaces/foregroundlock.cpp:155
#7  0x00bed566 in KDevelop::ForegroundLock::ForegroundLock (this=0xa971dcdf, lock=true) at /home/doriad/src/kdevplatform/interfaces/foregroundlock.cpp:142
#8  0x09664aae in KDevelop::ParseJob::readContents (this=0xb0d67ad0) at /home/doriad/src/kdevplatform/language/backgroundparser/parsejob.cpp:219
#9  0x04d4976b in PreprocessJob::readContents (this=0xb0d16080) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:670
#10 0x04d4c998 in PreprocessJob::run (this=0xb0d16080) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:236
#11 0x04d41932 in CPPParseJob::parseForeground (this=0xb0d67ad0) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#12 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xa8a019d0, _fileName=..., type=rpp::Preprocessor::IncludeGlobal, sourceLine=470, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#13 0x06bf88ec in rpp::pp::handle_include (this=0xa971f620, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#14 0x06bfb333 in rpp::pp::handle_directive (this=0xa971f620, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#15 0x06bfbadb in rpp::pp::operator() (this=0xa971f620, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#16 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa971f620, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#17 0x06bfbe25 in rpp::pp::processFile (this=0xa971f620, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#18 0x04d4cbbd in PreprocessJob::run (this=0xa8a019d0) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#19 0x04d41932 in CPPParseJob::parseForeground (this=0xa8a01ae8) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#20 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xad16388, _fileName=..., type=rpp::Preprocessor::IncludeGlobal, sourceLine=44, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#21 0x06bf88ec in rpp::pp::handle_include (this=0xa9720ed0, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#22 0x06bfb333 in rpp::pp::handle_directive (this=0xa9720ed0, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#23 0x06bfbadb in rpp::pp::operator() (this=0xa9720ed0, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#24 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa9720ed0, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#25 0x06bfbe25 in rpp::pp::processFile (this=0xa9720ed0, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#26 0x04d4cbbd in PreprocessJob::run (this=0xad16388) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#27 0x04d41932 in CPPParseJob::parseForeground (this=0xad0eb70) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#28 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xb0de9148, _fileName=..., type=rpp::Preprocessor::IncludeGlobal, sourceLine=39, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#29 0x06bf88ec in rpp::pp::handle_include (this=0xa9722780, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#30 0x06bfb333 in rpp::pp::handle_directive (this=0xa9722780, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#31 0x06bfbadb in rpp::pp::operator() (this=0xa9722780, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#32 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa9722780, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#33 0x06bfbe25 in rpp::pp::processFile (this=0xa9722780, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#34 0x04d4cbbd in PreprocessJob::run (this=0xb0de9148) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#35 0x04d41932 in CPPParseJob::parseForeground (this=0xb0de8f50) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#36 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xb6c44408, _fileName=..., type=rpp::Preprocessor::IncludeGlobal, sourceLine=39, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#37 0x06bf88ec in rpp::pp::handle_include (this=0xa9724030, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#38 0x06bfb333 in rpp::pp::handle_directive (this=0xa9724030, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#39 0x06bfbadb in rpp::pp::operator() (this=0xa9724030, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#40 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa9724030, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#41 0x06bfbe25 in rpp::pp::processFile (this=0xa9724030, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#42 0x04d4cbbd in PreprocessJob::run (this=0xb6c44408) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#43 0x04d41932 in CPPParseJob::parseForeground (this=0xb0df8cf8) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#44 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xab2ef60, _fileName=..., type=rpp::Preprocessor::IncludeGlobal, sourceLine=34, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#45 0x06bf88ec in rpp::pp::handle_include (this=0xa97258e0, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#46 0x06bfb333 in rpp::pp::handle_directive (this=0xa97258e0, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#47 0x06bfbadb in rpp::pp::operator() (this=0xa97258e0, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#48 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa97258e0, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#49 0x06bfbe25 in rpp::pp::processFile (this=0xa97258e0, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#50 0x04d4cbbd in PreprocessJob::run (this=0xab2ef60) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#51 0x04d41932 in CPPParseJob::parseForeground (this=0xacf34e0) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#52 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xab8cdd0, _fileName=..., type=rpp::Preprocessor::IncludeLocal, sourceLine=39, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#53 0x06bf88ec in rpp::pp::handle_include (this=0xa9727190, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#54 0x06bfb333 in rpp::pp::handle_directive (this=0xa9727190, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#55 0x06bfbadb in rpp::pp::operator() (this=0xa9727190, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#56 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa9727190, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#57 0x06bfbe25 in rpp::pp::processFile (this=0xa9727190, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#58 0x04d4cbbd in PreprocessJob::run (this=0xab8cdd0) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#59 0x04d41932 in CPPParseJob::parseForeground (this=0xabf7e48) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#60 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xace5cf8, _fileName=..., type=rpp::Preprocessor::IncludeLocal, sourceLine=23, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#61 0x06bf88ec in rpp::pp::handle_include (this=0xa9728a40, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#62 0x06bfb333 in rpp::pp::handle_directive (this=0xa9728a40, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#63 0x06bfbadb in rpp::pp::operator() (this=0xa9728a40, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#64 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa9728a40, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#65 0x06bfbe25 in rpp::pp::processFile (this=0xa9728a40, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#66 0x04d4cbbd in PreprocessJob::run (this=0xace5cf8) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#67 0x04d41932 in CPPParseJob::parseForeground (this=0xace5ee8) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#68 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xacae1d8, _fileName=..., type=rpp::Preprocessor::IncludeLocal, sourceLine=42, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#69 0x06bf88ec in rpp::pp::handle_include (this=0xa972a2f0, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#70 0x06bfb333 in rpp::pp::handle_directive (this=0xa972a2f0, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#71 0x06bfbadb in rpp::pp::operator() (this=0xa972a2f0, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#72 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa972a2f0, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#73 0x06bfbe25 in rpp::pp::processFile (this=0xa972a2f0, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#74 0x04d4cbbd in PreprocessJob::run (this=0xacae1d8) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#75 0x04d41932 in CPPParseJob::parseForeground (this=0xacae600) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#76 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xac74050, _fileName=..., type=rpp::Preprocessor::IncludeLocal, sourceLine=40, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#77 0x06bf88ec in rpp::pp::handle_include (this=0xa972bba0, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#78 0x06bfb333 in rpp::pp::handle_directive (this=0xa972bba0, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#79 0x06bfbadb in rpp::pp::operator() (this=0xa972bba0, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#80 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa972bba0, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#81 0x06bfbe25 in rpp::pp::processFile (this=0xa972bba0, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#82 0x04d4cbbd in PreprocessJob::run (this=0xac74050) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#83 0x04d41932 in CPPParseJob::parseForeground (this=0xac74cc0) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#84 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xa932160, _fileName=..., type=rpp::Preprocessor::IncludeLocal, sourceLine=31, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#85 0x06bf88ec in rpp::pp::handle_include (this=0xa972d450, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#86 0x06bfb333 in rpp::pp::handle_directive (this=0xa972d450, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#87 0x06bfbadb in rpp::pp::operator() (this=0xa972d450, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#88 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa972d450, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#89 0x06bfbe25 in rpp::pp::processFile (this=0xa972d450, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#90 0x04d4cbbd in PreprocessJob::run (this=0xa932160) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#91 0x04d41932 in CPPParseJob::parseForeground (this=0xabc0f80) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#92 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xab47990, _fileName=..., type=rpp::Preprocessor::IncludeLocal, sourceLine=23, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#93 0x06bf88ec in rpp::pp::handle_include (this=0xa972ed00, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#94 0x06bfb333 in rpp::pp::handle_directive (this=0xa972ed00, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#95 0x06bfbadb in rpp::pp::operator() (this=0xa972ed00, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#96 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa972ed00, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#97 0x06bfbe25 in rpp::pp::processFile (this=0xa972ed00, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#98 0x04d4cbbd in PreprocessJob::run (this=0xab47990) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#99 0x04d41932 in CPPParseJob::parseForeground (this=0xab47900) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#100 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xa87d2a8, _fileName=..., type=rpp::Preprocessor::IncludeLocal, sourceLine=26, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#101 0x06bf88ec in rpp::pp::handle_include (this=0xa97305b0, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#102 0x06bfb333 in rpp::pp::handle_directive (this=0xa97305b0, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#103 0x06bfbadb in rpp::pp::operator() (this=0xa97305b0, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#104 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa97305b0, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#105 0x06bfbe25 in rpp::pp::processFile (this=0xa97305b0, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#106 0x04d4cbbd in PreprocessJob::run (this=0xa87d2a8) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#107 0x04d41932 in CPPParseJob::parseForeground (this=0xab50710) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#108 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xa9284e8, _fileName=..., type=rpp::Preprocessor::IncludeLocal, sourceLine=25, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#109 0x06bf88ec in rpp::pp::handle_include (this=0xa9731e60, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#110 0x06bfb333 in rpp::pp::handle_directive (this=0xa9731e60, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#111 0x06bfbadb in rpp::pp::operator() (this=0xa9731e60, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#112 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa9731e60, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#113 0x06bfbe25 in rpp::pp::processFile (this=0xa9731e60, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#114 0x04d4cbbd in PreprocessJob::run (this=0xa9284e8) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#115 0x04d41932 in CPPParseJob::parseForeground (this=0xa927fc0) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#116 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xa92e298, _fileName=..., type=rpp::Preprocessor::IncludeLocal, sourceLine=28, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#117 0x06bf88ec in rpp::pp::handle_include (this=0xa9733710, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#118 0x06bfb333 in rpp::pp::handle_directive (this=0xa9733710, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#119 0x06bfbadb in rpp::pp::operator() (this=0xa9733710, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#120 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa9733710, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#121 0x06bfbe25 in rpp::pp::processFile (this=0xa9733710, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#122 0x04d4cbbd in PreprocessJob::run (this=0xa92e298) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#123 0x04d41932 in CPPParseJob::parseForeground (this=0xa92e600) at /home/doriad/src/kdevelop/languages/cpp/cppparsejob.cpp:174
#124 0x04d4a7c3 in PreprocessJob::sourceNeeded (this=0xa8804b0, _fileName=..., type=rpp::Preprocessor::IncludeGlobal, sourceLine=6, skipCurrentPath=false) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:598
#125 0x06bf88ec in rpp::pp::handle_include (this=0xa9734fc0, skip_current_path=false, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#126 0x06bfb333 in rpp::pp::handle_directive (this=0xa9734fc0, directive=103074, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#127 0x06bfbadb in rpp::pp::operator() (this=0xa9734fc0, input=..., output=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#128 0x06bfbd87 in rpp::pp::processFileInternal (this=0xa9734fc0, fileName=..., fileContents=..., result=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#129 0x06bfbe25 in rpp::pp::processFile (this=0xa9734fc0, fileName=..., data=...) at /home/doriad/src/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#130 0x04d4cbbd in PreprocessJob::run (this=0xa8804b0) at /home/doriad/src/kdevelop/languages/cpp/preprocessjob.cpp:264
#131 0x00d287f4 in ?? () from /usr/lib/libthreadweaver.so.4
#132 0x00d28941 in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#133 0x00d2a1c3 in ?? () from /usr/lib/libthreadweaver.so.4
#134 0x00d2a36e in ThreadWeaver::JobCollection::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#135 0x00d27f6a in ?? () from /usr/lib/libthreadweaver.so.4
#136 0x00d2805b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#137 0x03253da2 in QThreadPrivate::start (arg=0xa7d6170) at thread/qthread_unix.cpp:320
#138 0x00c96e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#139 0x0160173e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 1 (Thread 0xb77efac0 (LWP 3828)):
[KCrash Handler]
#7  0x06f9557e in __dynamic_cast () from /usr/lib/i386-linux-gnu/libstdc++.so.6
#8  0x02a8f7bd in CMakeManager::includeDirectories (this=0xa5f74dc, item=0x251f) at /home/doriad/src/kdevelop/projectmanagers/cmake/cmakemanager.cpp:605
#9  0x00926852 in KDevelop::BuilderJobPrivate::addJob (this=0xa8af2d28, t=KDevelop::BuilderJob::Build, item=0xa5f74f0) at /home/doriad/src/kdevplatform/project/builderjob.cpp:70
#10 0x00926ea5 in KDevelop::BuilderJob::addItems (this=0xa8a4ea38, t=KDevelop::BuilderJob::Build, items=...) at /home/doriad/src/kdevplatform/project/builderjob.cpp:101
#11 0x02900180 in BuildItemBuilderJob::BuildItemBuilderJob (this=0xa8a4ea38, t=KDevelop::BuilderJob::Build, items=...) at /home/doriad/src/kdevplatform/plugins/projectmanagerview/builditembuilderjob.cpp:42
#12 0x028f372d in ProjectManagerViewPlugin::buildItemsFromContextMenu (this=0xa00aec8) at /home/doriad/src/kdevplatform/plugins/projectmanagerview/projectmanagerviewplugin.cpp:329
#13 0x028f68c3 in ProjectManagerViewPlugin::qt_metacall (this=0xa00aec8, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbff53938) at /home/doriad/build/kdevplatform/plugins/projectmanagerview/projectmanagerviewplugin.moc:113
#14 0x0334e6ba in QMetaObject::metacall (object=0xa00aec8, cl=QMetaObject::InvokeMetaMethod, idx=15, argv=0xbff53938) at kernel/qmetaobject.cpp:237
#15 0x0335e4ff in QMetaObject::activate (sender=0xac5e6d0, m=0x95023f8, local_signal_index=1, argv=0xbff53938) at kernel/qobject.cpp:3287
#16 0x08bca8d9 in QAction::triggered (this=0xac5e6d0, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
#17 0x08bcab38 in QAction::activate (this=0xac5e6d0, event=QAction::Trigger) at kernel/qaction.cpp:1257
#18 0x0905c8ad in QMenuPrivate::activateCausedStack (this=0xb0b9de10, causedStack=..., action=0xac5e6d0, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:993
#19 0x0906316b in QMenuPrivate::activateAction (this=0xb0b9de10, action=0xac5e6d0, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1085
#20 0x09063ffe in QMenu::mouseReleaseEvent (this=0xbff54a48, e=0xbff541d4) at widgets/qmenu.cpp:2306
#21 0x05a4bcf4 in KMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libkdeui.so.5
#22 0x08c2a13a in QWidget::event (this=0xbff54a48, event=0xbff541d4) at kernel/qwidget.cpp:8259
#23 0x090644d7 in QMenu::event (this=0xbff54a48, e=0xbff541d4) at widgets/qmenu.cpp:2415
#24 0x08bd1d24 in QApplicationPrivate::notify_helper (this=0x9ab5230, receiver=0xbff54a48, e=0xbff541d4) at kernel/qapplication.cpp:4462
#25 0x08bd7201 in QApplication::notify (this=0xbff55f14, receiver=0xbff54a48, e=0xbff541d4) at kernel/qapplication.cpp:4023
#26 0x0596e3ca in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#27 0x033480bb in QCoreApplication::notifyInternal (this=0xbff55f14, receiver=0xbff54a48, event=0xbff541d4) at kernel/qcoreapplication.cpp:731
#28 0x08bd2c3b in sendSpontaneousEvent (receiver=0xbff54a48, event=0xbff541d4, alienWidget=0x0, nativeWidget=0xbff54a48, buttonDown=0x951ec60, lastMouseReceiver=..., spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#29 QApplicationPrivate::sendMouseEvent (receiver=0xbff54a48, event=0xbff541d4, alienWidget=0x0, nativeWidget=0xbff54a48, buttonDown=0x951ec60, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3120
#30 0x08c5c4c3 in QETWidget::translateMouseEvent (this=0xbff54a48, event=0xbff546fc) at kernel/qapplication_x11.cpp:4490
#31 0x08c5a746 in QApplication::x11ProcessEvent (this=0xbff55f14, event=0xbff546fc) at kernel/qapplication_x11.cpp:3678
#32 0x08c85b84 in x11EventSourceDispatch (s=0x9ab8000, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#33 0x0810aaa8 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#34 0x0810b270 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#35 0x0810b524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#36 0x0337553c in QEventDispatcherGlib::processEvents (this=0x9a76968, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#37 0x08c85775 in QGuiEventDispatcherGlib::processEvents (this=0x9a76968, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#38 0x03347289 in QEventLoop::processEvents (this=0xbff549d0, flags=...) at kernel/qeventloop.cpp:149
#39 0x03347522 in QEventLoop::exec (this=0xbff549d0, flags=...) at kernel/qeventloop.cpp:201
#40 0x090605c1 in QMenu::exec (this=0xbff54a48, p=..., action=0x0) at widgets/qmenu.cpp:2059
#41 0x028fbeaf in ProjectTreeView::popupContextMenu (this=0xa408298, pos=...) at /home/doriad/src/kdevplatform/plugins/projectmanagerview/projecttreeview.cpp:221
#42 0x028fc2bd in ProjectTreeView::qt_metacall (this=0xa408298, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbff54c28) at /home/doriad/build/kdevplatform/plugins/projectmanagerview/projecttreeview.moc:81
#43 0x0334e6ba in QMetaObject::metacall (object=0xa408298, cl=QMetaObject::InvokeMetaMethod, idx=90, argv=0xbff54c28) at kernel/qmetaobject.cpp:237
#44 0x0335e4ff in QMetaObject::activate (sender=0xa408298, m=0x95033a8, local_signal_index=0, argv=0xbff54c28) at kernel/qobject.cpp:3287
#45 0x08c20183 in QWidget::customContextMenuRequested (this=0xa408298, _t1=...) at .moc/release-shared/moc_qwidget.cpp:360
#46 0x08c2acb9 in QWidget::event (this=0xa408298, event=0xbff554ec) at kernel/qwidget.cpp:8429
#47 0x0901bf63 in QFrame::event (this=0xa408298, e=0xbff554ec) at widgets/qframe.cpp:557
#48 0x090aa5d2 in QAbstractScrollArea::viewportEvent (this=0xa408298, e=0xbff554ec) at widgets/qabstractscrollarea.cpp:1043
#49 0x09149797 in QAbstractItemView::viewportEvent (this=0xa408298, event=0xbff554ec) at itemviews/qabstractitemview.cpp:1628
#50 0x091913f3 in QTreeView::viewportEvent (this=0xa408298, event=0xbff554ec) at itemviews/qtreeview.cpp:1256
#51 0x090aced5 in viewportEvent (this=0xa4095a0, o=0xa4074e0, e=0xbff554ec) at widgets/qabstractscrollarea_p.h:100
#52 QAbstractScrollAreaFilter::eventFilter (this=0xa4095a0, o=0xa4074e0, e=0xbff554ec) at widgets/qabstractscrollarea_p.h:116
#53 0x0334825a in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x9ab5230, receiver=0xa4074e0, event=0xbff554ec) at kernel/qcoreapplication.cpp:846
#54 0x08bd1d00 in QApplicationPrivate::notify_helper (this=0x9ab5230, receiver=0xa4074e0, e=0xbff554ec) at kernel/qapplication.cpp:4458
#55 0x08bd6c62 in QApplication::notify (this=0xbff55f14, receiver=0xa4074e0, e=0xbff554ec) at kernel/qapplication.cpp:4102
#56 0x0596e3ca in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#57 0x033480bb in QCoreApplication::notifyInternal (this=0xbff55f14, receiver=0xa4074e0, event=0xbff554ec) at kernel/qcoreapplication.cpp:731
#58 0x08c5c343 in sendSpontaneousEvent (this=0xa1dd818, event=0xbff559ec) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#59 QETWidget::translateMouseEvent (this=0xa1dd818, event=0xbff559ec) at kernel/qapplication_x11.cpp:4561
#60 0x08c5a746 in QApplication::x11ProcessEvent (this=0xbff55f14, event=0xbff559ec) at kernel/qapplication_x11.cpp:3678
#61 0x08c85b84 in x11EventSourceDispatch (s=0x9ab8000, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#62 0x0810aaa8 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#63 0x0810b270 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#64 0x0810b524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#65 0x0337553c in QEventDispatcherGlib::processEvents (this=0x9a76968, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#66 0x08c85775 in QGuiEventDispatcherGlib::processEvents (this=0x9a76968, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#67 0x03347289 in QEventLoop::processEvents (this=0xbff55cb4, flags=...) at kernel/qeventloop.cpp:149
#68 0x03347522 in QEventLoop::exec (this=0xbff55cb4, flags=...) at kernel/qeventloop.cpp:201
#69 0x0334becc in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#70 0x08bcf8e7 in QApplication::exec () at kernel/qapplication.cpp:3736
#71 0x08053620 in main (argc=<value optimized out>, argv=) at /home/doriad/src/kdevelop/app/main.cpp:474

Reported using DrKonqi
Comment 1 Olivier.jg 2011-08-22 03:26:32 UTC
Invalid project item, need to pass around some flavor of Shared Pointer.
Comment 2 Aleix Pol 2012-01-18 02:00:16 UTC
Git commit 6ea4e043ef47fb188957bb324010548163937d28 by Aleix Pol.
Committed on 18/01/2012 at 02:58.
Pushed by apol into branch '1.3'.

Don't leave invalid pointers on the proxyModels hash.

M  +3    -3    plugins/standardoutputview/outputwidget.cpp

http://commits.kde.org/kdevplatform/6ea4e043ef47fb188957bb324010548163937d28
Comment 3 Aleix Pol 2012-01-18 02:00:17 UTC
Git commit 7c17b7e118a7008d1ed25bc4a1dcf796a2822fb7 by Aleix Pol.
Committed on 18/01/2012 at 02:58.
Pushed by apol into branch 'master'.

Don't leave invalid pointers on the proxyModels hash.

M  +3    -3    plugins/standardoutputview/outputwidget.cpp

http://commits.kde.org/kdevplatform/7c17b7e118a7008d1ed25bc4a1dcf796a2822fb7